package be.iminds.ilabt.jfed.experimenter_gui.canvas.rspec;

import be.iminds.ilabt.jfed.experimenter_gui.config.JFedGuiConfig;
import be.iminds.ilabt.jfed.lowlevel.testbed_info.TestbedInfoSource;
import be.iminds.ilabt.jfed.rspec_fx.model.javafx_impl.DelayRspecNode;
import javafx.scene.image.Image;

import javax.annotation.Nonnull;

/**
 * User: twalcari
 * Date: 4/8/2014
 * Time: 17:39
 */
public class DelayRspecCanvasNode extends RspecCanvasNode {
    public DelayRspecCanvasNode(@Nonnull DelayRspecNode node, @Nonnull TestbedInfoSource testbedInfoSource, @Nonnull JFedGuiConfig config) {
        super(node, testbedInfoSource, config);

        setStyle("-fx-background-color: orange;");
        getTypeImageView().setImage(new Image(RspecCanvasNode.class.getResource("/images/bridge.png").toString()));
    }

    @Override
    @Nonnull
    public DelayRspecNode getRspecNode() {
        return (DelayRspecNode) super.getRspecNode();
    }
}
